Bug 181042 - system-config-soundcard does not detect USB sound
system-config-soundcard does not detect USB sound
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
: 182365 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-12 00:28 EST by Kiyo Sekimoto
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 09:36:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kiyo Sekimoto 2006-02-12 00:28:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja; rv:1.8.0.1) Gecko/20060208 Fedora/1.5.0.1-2.1 Firefox/1.5.0.1

Description of problem:
I have 2 sound devices on my PC. The one is Creative Soundbraster and the other is USB Speeker. The hardware display showes both as the sound device though, system-config-soundcard does not detect the USB device thus I can not use the USB sound device.

Version-Release number of selected component (if applicable):
kernel 2.6.15-1.51_FC5hypervisor

How reproducible:
Always

Steps to Reproduce:
1.Start system-config-soundcard.
2.There is no USB sound device selection.
3.
  

Actual Results:  Nothing. Just simply I can not select the USB sound device.

Expected Results:  There should be device selection such as tabs like on FC4.

Additional info:

FC5 test 1 has same problem thus I think the bug is common to all FC5.
Comment 1 Martin Stransky 2006-02-13 09:05:11 EST
Please attach /root/scsound.log
Comment 2 Kiyo Sekimoto 2006-02-14 06:54:35 EST
Following text is the requested document. I usually uses with LANG=EUC-jp_UTF-8
though, I have captured with LANG=C so you can read them all. The behavior of
system-config-soundcard is bit different with LANG=C than UTF-8 though, I still
can not use the USB speaker with LANG=C.

------- System Config Soundcard --------
Tue Feb 14 20:49:02 JST 2006

------- lspci --------
00:00.0 Host bridge: Intel Corporation 82815 815 Chipset Host Bridge and Memory
Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82815 815 Chipset AGP Bridge (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 01)
00:1f.0 ISA bridge: Intel Corporation 82801BA ISA Bridge (LPC) (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801BA IDE U100 (rev 01)
00:1f.2 USB Controller: Intel Corporation 82801BA/BAM USB (Hub #1) (rev 01)
00:1f.3 SMBus: Intel Corporation 82801BA/BAM SMBus (rev 01)
00:1f.4 USB Controller: Intel Corporation 82801BA/BAM USB (Hub #2) (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation NV15 [GeForce2 GTS/Pro]
(rev a4)
02:09.0 SCSI storage controller: LSI Logic / Symbios Logic 53c875 (rev 04)
02:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 04)
02:0a.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 01)
02:0b.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)

------- lsmod --------
Module                  Size  Used by
ppdev                   8773  0
autofs4                19013  1
rfcomm                 34005  0
l2cap                  23617  5 rfcomm
bluetooth              44197  2 rfcomm,l2cap
sunrpc                136573  1
ip_conntrack_ftp        7601  0
ip_conntrack_netbios_ns     3009  0
ipt_REJECT              5441  1
xt_state                2241  11
ip_conntrack           49261  3 ip_conntrack_ftp,ip_conntrack_netbios_ns,xt_state
nfnetlink               6489  1 ip_conntrack
xt_tcpudp               3265  13
iptable_filter          3137  1
ip_tables              11657  1 iptable_filter
x_tables               12613  4 ipt_REJECT,xt_state,xt_tcpudp,ip_tables
video                  15045  0
button                  6609  0
battery                 9285  0
ac                      4933  0
sg                     32477  0
ipv6                  225569  14
lp                     12297  0
parport_pc             25445  1
parport                34313  3 ppdev,lp,parport_pc
floppy                 57733  0
nvram                   8393  0
snd_usb_audio          69569  0
snd_usb_lib            15041  1 snd_usb_audio
usblp                  13377  0
usb_storage            62369  0
uhci_hcd               28881  0
snd_emu10k1_synth       6977  0
snd_emux_synth         31553  1 snd_emu10k1_synth
snd_seq_virmidi         7105  1 snd_emux_synth
snd_seq_midi_emul       5953  1 snd_emux_synth
snd_emu10k1           104389  2 snd_emu10k1_synth
snd_rawmidi            24001  3 snd_usb_lib,snd_seq_virmidi,snd_emu10k1
snd_ac97_codec         83937  1 snd_emu10k1
snd_ac97_bus            2497  1 snd_ac97_codec
snd_seq_dummy           3781  0
snd_seq_oss            28993  0
snd_seq_midi_event      7105  2 snd_seq_virmidi,snd_seq_oss
snd_seq                47153  8
snd_emux_synth,snd_seq_virmidi,snd_seq_midi_emul,snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_pcm_oss            45009  0
snd_mixer_oss          16449  2 snd_pcm_oss
snd_pcm                76997  4 snd_usb_audio,snd_emu10k1,snd_ac97_codec,snd_pcm_oss
snd_seq_device          8909  7
snd_emu10k1_synth,snd_emux_synth,snd_emu10k1,snd_rawmidi,snd_seq_dummy,snd_seq_oss,snd_seq
snd_timer              22597  3 snd_emu10k1,snd_seq,snd_pcm
snd_page_alloc         10441  2 snd_emu10k1,snd_pcm
snd_util_mem            5057  2 snd_emux_synth,snd_emu10k1
snd_hwdep               9541  3 snd_usb_audio,snd_emux_synth,snd_emu10k1
snd                    50501  14
snd_usb_audio,snd_emux_synth,snd_seq_virmidi,snd_emu10k1,snd_rawmidi,snd_ac97_codec,snd_seq_oss,snd_seq,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_device,snd_timer,snd_hwdep
8139too                25409  0
8139cp                 21057  0
mii                     5313  2 8139too,8139cp
soundcore               9377  2 snd
emu10k1_gp              3905  0
gameport               15177  2 emu10k1_gp
i2c_i801                8397  0
hw_random               5849  0
i2c_core               20673  1 i2c_i801
dm_snapshot            15981  0
dm_zero                 2113  0
dm_mirror              19729  0
dm_mod                 50137  6 dm_snapshot,dm_zero,dm_mirror
ext3                  116169  2
jbd                    52949  1 ext3
sym53c8xx              68313  0
scsi_transport_spi     21185  1 sym53c8xx
sd_mod                 16449  0
scsi_mod              124265  5 sg,usb_storage,sym53c8xx,scsi_transport_spi,sd_mod

------- /etc/modprobe.conf --------
alias eth0 8139too
alias scsi_hostadapter sym53c8xx
alias snd-card-0 snd-emu10k1
options snd-card-0 index=0
options snd-emu10k1 index=0
remove snd-emu10k1 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-emu10k1

------- /etc/asound.conf --------


------- aplay -l --------
**** List of PLAYBACK Hardware Devices ****
card 0: Live [SBLive! Value [CT4670]], device 0: emu10k1 [ADC Capture/Standard
PCM Playback]
  Subdevices: 32/32
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
  Subdevice #2: subdevice #2
  Subdevice #3: subdevice #3
  Subdevice #4: subdevice #4
  Subdevice #5: subdevice #5
  Subdevice #6: subdevice #6
  Subdevice #7: subdevice #7
  Subdevice #8: subdevice #8
  Subdevice #9: subdevice #9
  Subdevice #10: subdevice #10
  Subdevice #11: subdevice #11
  Subdevice #12: subdevice #12
  Subdevice #13: subdevice #13
  Subdevice #14: subdevice #14
  Subdevice #15: subdevice #15
  Subdevice #16: subdevice #16
  Subdevice #17: subdevice #17
  Subdevice #18: subdevice #18
  Subdevice #19: subdevice #19
  Subdevice #20: subdevice #20
  Subdevice #21: subdevice #21
  Subdevice #22: subdevice #22
  Subdevice #23: subdevice #23
  Subdevice #24: subdevice #24
  Subdevice #25: subdevice #25
  Subdevice #26: subdevice #26
  Subdevice #27: subdevice #27
  Subdevice #28: subdevice #28
  Subdevice #29: subdevice #29
  Subdevice #30: subdevice #30
  Subdevice #31: subdevice #31
card 0: Live [SBLive! Value [CT4670]], device 2: emu10k1 efx [Multichannel
Capture/PT Playback]
  Subdevices: 8/8
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
  Subdevice #2: subdevice #2
  Subdevice #3: subdevice #3
  Subdevice #4: subdevice #4
  Subdevice #5: subdevice #5
  Subdevice #6: subdevice #6
  Subdevice #7: subdevice #7
card 0: Live [SBLive! Value [CT4670]], device 3: emu10k1 [Multichannel Playback]
 Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: Speaker [ SungForn DS-102 USB  Speaker], device 0: USB Audio [USB Audio]
 Subdevices: 1/1
  Subdevice #0: subdevice #0

------- amixer --------
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 63
  Mono:
  Front Left: Playback 37 [59%] [on]
  Front Right: Playback 37 [59%] [on]
Simple mixer control 'Headphone LFE',1
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Headphone',1
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 100
  Mono:
  Front Left: Playback 60 [60%]
  Front Right: Playback 60 [60%]
Simple mixer control 'Headphone Center',1
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Tone',0
  Capabilities: pswitch
  Playback channels: Front Left - Front Right
  Mono:
  Front Left: Playback [off]
  Front Right: Playback [off]
Simple mixer control 'Bass',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 40
  Front Left: 20 [50%]
  Front Right: 20 [50%]
Simple mixer control 'Treble',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 40
  Front Left: 20 [50%]
  Front Right: 20 [50%]
Simple mixer control '3D Control - Switch',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'PCM',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 18 [58%] [on]
  Front Right: Playback 18 [58%] [on]
Simple mixer control 'Front',0
  Capabilities: cvolume cswitch cswitch-joined
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 100
  Front Left: Capture 0 [0%] [off]
  Front Right: Capture 0 [0%] [off]
Simple mixer control 'Surround',0
  Capabilities: pvolume cvolume cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 100 [100%] Capture 0 [0%] [off]
  Front Right: Playback 100 [100%] Capture 0 [0%] [off]
Simple mixer control 'Center',0
  Capabilities: pvolume pvolume-joined
  Playback channels: Mono
  Limits: Playback 0 - 100
  Mono: Playback 100 [100%]
Simple mixer control 'LFE',0
  Capabilities: pvolume pvolume-joined
  Playback channels: Mono
  Limits: Playback 0 - 100
  Mono: Playback 100 [100%]
Simple mixer control 'Synth',0
  Capabilities: pvolume cvolume cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 60 [60%] Capture 0 [0%] [off]
  Front Right: Playback 60 [60%] Capture 0 [0%] [off]
Simple mixer control 'Wave',0
  Capabilities: pvolume cvolume cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 60 [60%] Capture 0 [0%] [off]
  Front Right: Playback 60 [60%] Capture 0 [0%] [off]
Simple mixer control 'Wave Center',0
  Capabilities: pvolume pvolume-joined
  Playback channels: Mono
  Limits: Playback 0 - 100
  Mono: Playback 0 [0%]
Simple mixer control 'Wave LFE',0
  Capabilities: pvolume pvolume-joined
  Playback channels: Mono
  Limits: Playback 0 - 100
  Mono: Playback 0 [0%]
Simple mixer control 'Wave Surround',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 100
  Mono:
  Front Left: Playback 0 [0%]
  Front Right: Playback 0 [0%]
Simple mixer control 'Line',0
  Capabilities: pvolume pswitch pswitch-joined cswitch cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 0 [0%] [off] Capture [off]
  Front Right: Playback 0 [0%] [off] Capture [off]
Simple mixer control 'Line LiveDrive',0
  Capabilities: pvolume cvolume cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 0 [0%] Capture 0 [0%] [off]
  Front Right: Playback 0 [0%] Capture 0 [0%] [off]
Simple mixer control 'Line2 LiveDrive',1
  Capabilities: pvolume cvolume cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 0 [0%] Capture 0 [0%] [off]
  Front Right: Playback 0 [0%] Capture 0 [0%] [off]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch pswitch-joined cswitch cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 18 [58%] [on] Capture [on]
  Front Right: Playback 18 [58%] [on] Capture [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined cswitch
cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono: Playback 0 [0%] [off]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mic Boost (+20dB)',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Mic Select',0
  Capabilities: enum
  Items: 'Mic1' 'Mic2'
  Item0: 'Mic1'
Simple mixer control 'Video',0
  Capabilities: pvolume pswitch pswitch-joined cswitch cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 0 [0%] [off] Capture [off]
  Front Right: Playback 0 [0%] [off] Capture [off]
Simple mixer control 'Phone',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined cswitch
cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono: Playback 0 [0%] [off]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'IEC958 Coaxial',0
  Capabilities: pvolume cvolume cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 0 [0%] Capture 0 [0%] [off]
  Front Right: Playback 0 [0%] Capture 0 [0%] [off]
Simple mixer control 'IEC958 LiveDrive',0
  Capabilities: pvolume cvolume cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 0 [0%] Capture 0 [0%] [off]
  Front Right: Playback 0 [0%] Capture 0 [0%] [off]
Simple mixer control 'IEC958 Optical Raw',0
  Capabilities: pswitch
  Playback channels: Front Left - Front Right
  Mono:
  Front Left: Playback [off]
  Front Right: Playback [off]
Simple mixer control 'IEC958 TTL',0
  Capabilities: pvolume cvolume cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 0 [0%] Capture 0 [0%] [off]
  Front Right: Playback 0 [0%] Capture 0 [0%] [off]
Simple mixer control 'PC Speaker',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 15
  Mono: Playback 0 [0%] [off]
Simple mixer control 'Aux',0
  Capabilities: pvolume pswitch pswitch-joined cswitch cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 0 [0%] [off] Capture [off]
  Front Right: Playback 0 [0%] [off] Capture [off]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch cswitch-joined
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 15
  Front Left: Capture 0 [0%] [on]
  Front Right: Capture 0 [0%] [on]
Simple mixer control 'Mix',0
  Capabilities: cswitch cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mix Mono',0
  Capabilities: cswitch cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'AC97',0
  Capabilities: pvolume cvolume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 60 [60%] Capture 0 [0%]
  Front Right: Playback 60 [60%] Capture 0 [0%]
Simple mixer control 'SB Live Analog/Digital Output Jack',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]

------- /proc/asound/version --------
Advanced Linux Sound Architecture Driver Version 1.0.11rc2 (Wed Jan 04 08:57:20
2006 UTC).

------- rpm -q alsa-lib --------
alsa-lib-1.0.11-3.rc2.2

------- rpm -q alsa-utils --------
alsa-utils-1.0.11-2.rc2.2

------- /proc/asound/modules --------
 0 snd_emu10k1
 1 snd_usb_audio

------- /proc/asound/pcm --------
00-03: emu10k1 : Multichannel Playback : playback 1
00-02: emu10k1 efx : Multichannel Capture/PT Playback : playback 8 : capture 1
00-01: emu10k1 mic : Mic Capture : capture 1
00-00: emu10k1 : ADC Capture/Standard PCM Playback : playback 32 : capture 1
01-00: USB Audio : USB Audio : playback 1

------- system-config-soundcard --------

/usr/share/system-config-soundcard/soundcard.py:273: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:308: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
/usr/share/system-config-soundcard/soundcard.py:548: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  gtk.main()
Read config:
card 0
device 0
HW 0
----------- Kudzu -------------
Desc:           Creative Labs SB Live! EMU10k1
Driver:         snd-emu10k1
Device:         None

----------- **** -------------
Comment 3 Stefan Becker 2006-02-21 20:23:01 EST
This is probably related to bug #182365. My guess is that if alsa-lib gets fixed
the soundcard configurator will work correctly again.
Comment 4 Kiyo Sekimoto 2006-02-24 10:30:45 EST
Thanks. I will Wait for solution.
Comment 5 Martin Stransky 2006-03-07 05:06:54 EST
*** Bug 182365 has been marked as a duplicate of this bug. ***
Comment 6 Martin Stransky 2006-03-07 05:09:43 EST
I'll check it as soon as I have some USB card handy...
Comment 7 Martin Stransky 2006-03-10 11:10:54 EST
I've just checked it, it's a bug in kudzu.
Comment 8 Paulk Done 2006-05-04 15:55:58 EDT
I get this issue too on FC5 - unfortunately I originally logged in against GNOME
thinking this was a GNOME utility. Here is the bug I logged on GNOME
originallly: http://bugzilla.gnome.org/show_bug.cgi?id=340673

I originally recorded this issue at
http://forums.fedoraforum.org/showthread.php?p=430410#post430410 In FC4 the
utility did find the USB speakers but is now broke in FC5. However, because of
another bug in FC4 it was still no use for USB speakers in FC4. I assume that
this original FC4 issue still stands once the USB speaker detection on kudzu in
FC5 is remedied? Is this original FC4 issue (too many devices listed, wrong
device number assigned in /etc/asound.conf) related to the following bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=185378 ?
Comment 9 Martin Stransky 2006-06-30 09:36:55 EDT
you can check the new s-c-s, select the "System" tab, choose /proc or HAL
detection method a configure your USB card...

Note You need to log in before you can comment on or make changes to this bug.